<?php

namespace ByDedi\AdminBundle\Form\Extension;

use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\Form\AbstractTypeExtension;
use Symfony\Component\Form\Extension\Core\Type\ButtonType;
use Symfony\Component\Form\FormBuilder;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\Form\FormView;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;

/**
 * Created by PhpStorm.
 * User: FrédéricGuichard
 * Date: 16/11/2016
 * Time: 11:54
 */
class ModelTypeExtension extends AbstractTypeExtension
{

    /**
     * @var ContainerInterface
     */
    protected $container;

    protected $admin;

    /**
     * ModelTypeExtension constructor.
     *
     * @param ContainerInterface $container
     */
    public function __construct(ContainerInterface $container)
    {
        $this->container = $container;
    }

    public function getExtendedType()
    {
        return 'sonata_type_model';
    }

    /**
     * Add the image_path option
     *
     * @param OptionsResolver $resolver
     */
    public function setDefaultOptions(\Symfony\Component\OptionsResolver\Options $resolver)
    {
        $resolver->setDefaults(
            [
                'admin_code' => null,
            ]
        );
    }


    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
    }


    /**
     * {@inheritdoc}
     */
    public function buildView(FormView $view, FormInterface $form, array $options)
    {
    }

    /**
     * Add the image_path option
     *
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $this->setDefaultOptions($resolver);
    }
}
